Font::TTF::Feat(3)

NAME
Font::TTF::Feat - Font Features

DESCRIPTION

INSTANCE VARIABLES

version
features
    An array of hashes of the following form

    feature
        feature id number

    name
        name index in name table

    exclusive
        exclusive flag

    settings
        hash of setting number against name string index

METHODS

  $t->read
Reads the features from the TTF file into memory

  $t->out($fh)
Writes the features to a TTF file

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

  $t->print($fh)
Prints a human-readable representation of the table

BUGS
None known

AUTHOR
Jonathan Kew <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.